Skip to main content

Get user stats (group)

GET 

/:customer_id/groups/:group_id/users/:uid/stats

Get stats for a user in a group

Request​

Path Parameters

    customer_id Customer Idrequired

    Id of the tenant

    group_id Group Idrequired

    Id of the group

    uid uuidrequired

    Id of the user

Responses​

Successful response

Schema
    uid uuidrequired

    Id of the user.

    alias Aliasnullablerequired

    Optional alias of the user.

    external_id External Idnullablerequired

    Optional external id of the user.

    utc_offset Utc Offsetnullablerequired

    UTC offset of the user in minutes.

    first_active_local_time date-timenullablerequired

    Local time of the first event sent to insights for this user.

    first_active_utc date-timenullablerequired

    Time of the first event sent to insights for this user.

    last_active_local_time date-timenullablerequired

    Local time of the last event sent to insights for this user.

    last_active_utc date-timenullablerequired

    Time of the last event sent to insights for this user.

    last_sync_time_utc date-timenullablerequired

    Time of the last sync.

    total_time_tracked_s Total Time Tracked Srequired

    Amount of seconds tracked in the lifetime of this user.

    num_events objectrequired

    Number of events tracked for this user.

    property name* integer
    periods object[]required

    List of periods for this user.

  • Array [
  • name Namerequired

    Name of the active period.

    group_id Group Idrequired

    Id of the group.

    start_time_local date-timenullablerequired

    Local start time of the active period.

    end_time_local date-timenullablerequired

    Local end time of the active period.

    start_time_utc date-timenullablerequired

    Start time of the active period.

    end_time_utc date-timenullablerequired

    End time of the active period.

    tags string[]required

    List of tags attached to the active period.

    time_tracked_s Time Tracked Snullablerequired

    Monitored time in period.

    is_completed Is Completedrequired

    Whether the period is completed.

  • ]
Loading...